commit:     edca5a71f730e3c24b0704faeccb1b879c23e2be
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 21 15:05:09 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 21 15:17:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=edca5a71

sci-biology/allpathslg: Fix build with glibc-2.27

Closes: https://bugs.gentoo.org/647340
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 sci-biology/allpathslg/allpathslg-52488-r2.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/sci-biology/allpathslg/allpathslg-52488-r2.ebuild 
b/sci-biology/allpathslg/allpathslg-52488-r2.ebuild
index 964904d6655..cc9498b65f7 100644
--- a/sci-biology/allpathslg/allpathslg-52488-r2.ebuild
+++ b/sci-biology/allpathslg/allpathslg-52488-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -39,5 +39,8 @@ pkg_setup() {
 src_prepare() {
        default
 
+       # Fix building with glibc-2.27, bug #647340
+       sed -i -e 's/-mieee-fp//' configure.ac || die
+
        eautoreconf
 }

Reply via email to